#include "defines.h"
#include "acash.h"

unchar *cash2_fgets(unchar *str,int n,CFILE *fp)
/* ミニ キャッシュ２:fgets */
{
int i;
unchar *p,c;
	if (fp->cflag<=0) return(fgets(str,n,fp->cfp));
	
	if (fp->cseek==fp->csize) return(NULL); /* すでにEOFにある */
	p=str;
	for (i=1;i<n && fp->cseek<fp->csize;i++) { /* i=0でないのはEOSのため */
		c=fp->cbuff[fp->cseek++];
		*p++=c;
		if (c=='\n') break; /* 改行があった */
	}
	*p=0;
	return(str);
}
